Skip to main content
GET
/
orgs
/
{orgId}
/
carriers
/
{carrierId}
/
products
Returns a specific carriers products
curl --request GET \
  --url https://api.zippendo.com/orgs/{orgId}/carriers/{carrierId}/products \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "productId": "<string>",
    "type": "outbound",
    "availableCountries": [
      "<string>"
    ],
    "availableSenderCountries": [
      "<string>"
    ],
    "isServicePoint": false,
    "isPickupAvailable": false,
    "description": "<string>",
    "services": [
      {
        "name": "<string>",
        "serviceId": "<string>"
      }
    ],
    "additionalParameters": [
      {
        "name": "<string>",
        "type": "string",
        "description": "<string>",
        "isRequired": false,
        "requiredService": [
          "<string>"
        ]
      }
    ],
    "weightLimits": {
      "min": 123,
      "max": 123,
      "unit": "kg"
    }
  }
]

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

carrierId
string
required

Carrier ID

Response

Default Response

name
string
required
productId
string
required
type
enum<string>
required
Available options:
outbound,
inbound
availableCountries
string[]
required
availableSenderCountries
string[]
required
isServicePoint
boolean
default:false
required
isPickupAvailable
boolean
default:false
required
description
string
services
object[]
additionalParameters
object[]
weightLimits
object